Loading...
Searching...
No Matches
Other
libavutil

## Topics

| Preprocessor String Macros
| String manipulation macros
| Library Version Macros
| Useful to check and match library version in order to maintain backward compatibility.
| Constants
| Image related
| AVPicture types, pixel formats and basic image planes manipulation.
| Version and Build diagnostics
| Macros and function useful to check at compile time and at runtime which version of libavutil is in use.
| Media Type
| Media Type

## Macros

#define | AV_FOURCC_MAX_STRING_SIZE 32
#define | av_fourcc2str(fourcc)

## Enumerations

enum | AVMediaType { AVMEDIA_TYPE_UNKNOWN = -1 , AVMEDIA_TYPE_VIDEO , AVMEDIA_TYPE_AUDIO , AVMEDIA_TYPE_DATA , AVMEDIA_TYPE_SUBTITLE , AVMEDIA_TYPE_ATTACHMENT , AVMEDIA_TYPE_NB }

## Functions

const char * | av_get_media_type_string (enum AVMediaType media_type)
| Return a string describing the media_type enum, NULL if media_type is unknown.
static void * | av_x_if_null (const void *p, const void *x)
| Return x default pointer in case p is NULL.
AVRational | av_get_time_base_q (void)
| Return the fractional representation of the internal time base.
char * | av_fourcc_make_string (char *buf, uint32_t fourcc)
| Fill the provided buffer with a string containing a FourCC (four-character code) representation.

## Detailed Description

## Macro Definition Documentation

## AV_FOURCC_MAX_STRING_SIZE

#define AV_FOURCC_MAX_STRING_SIZE 32

Definition at line 345 of file avutil.h.

## av_fourcc2str

#define av_fourcc2str | ( |  | fourcc | ) |

Value:
av_fourcc_make_string((char[AV_FOURCC_MAX_STRING_SIZE]){0}, fourcc)
av_fourcc_make_string
char * av_fourcc_make_string(char *buf, uint32_t fourcc)
Fill the provided buffer with a string containing a FourCC (four-character code) representation.
AV_FOURCC_MAX_STRING_SIZE
#define AV_FOURCC_MAX_STRING_SIZE
Definition avutil.h:345

Definition at line 347 of file avutil.h.

## Enumeration Type Documentation

## AVMediaType

enum AVMediaType

Enumerator
AVMEDIA_TYPE_UNKNOWN | Usually treated as AVMEDIA_TYPE_DATA.
AVMEDIA_TYPE_VIDEO |
AVMEDIA_TYPE_AUDIO |
AVMEDIA_TYPE_DATA | Opaque data information usually continuous.
AVMEDIA_TYPE_SUBTITLE |
AVMEDIA_TYPE_ATTACHMENT | Opaque data information usually sparse.
AVMEDIA_TYPE_NB |

Examples
  demux_decode.c, and extract_mvs.c.

Definition at line 198 of file avutil.h.

## Function Documentation

## av_get_media_type_string()

const char * av_get_media_type_string | ( | enum AVMediaType | media_type | ) |

Return a string describing the media_type enum, NULL if media_type is unknown.

Examples
  demux_decode.c, and extract_mvs.c.

Referenced by open_codec_context(), and open_codec_context().

## av_x_if_null()

void * av_x_if_null | ( | const void * | p,
|  | const void * | x )

inline static

Return x default pointer in case p is NULL.

Examples
  decode_filter_audio.c.

Definition at line 311 of file avutil.h.

Referenced by init_filters().

## av_get_time_base_q()

AVRational av_get_time_base_q | ( | void |  | ) |

Return the fractional representation of the internal time base.

## av_fourcc_make_string()

char * av_fourcc_make_string | ( | char * | buf,
|  | uint32_t | fourcc )

Fill the provided buffer with a string containing a FourCC (four-character code) representation.

Parameters

  buf | a buffer with size in bytes of at least AV_FOURCC_MAX_STRING_SIZE
  fourcc | the fourcc to represent

Returns
  the buffer in input